ZIP_SOURCE_READ(3)

NAME
zip_source_read - read data from zip source

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
zip_int64_t
zip_source_read(zip_source_t *source, void *data, zip_uint64_t len);

DESCRIPTION
The function zip_source_read() reads up to len bytes of data from source at the current read offset into the buffer data.

The zip source source has to be opened for reading by calling zip_source_open(3) first.

RETURN VALUES
Upon successful completion the number of bytes read is returned. Upon reading end-of-file, zero is returned. Otherwise, -1 is returned and the error information in source is set to indicate the error.

SEE ALSO
libzip(3), zip_source(3), zip_source_seek(3), zip_source_tell(3), zip_source_write(3)

HISTORY
zip_source_read() was added in libzip 1.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>